package hid

var (
	StandardKeys = map[string]byte{
		"␀":  0x00,
		"a":  0x04,
		"A":  0x04,
		"b":  0x05,
		"B":  0x05,
		"c":  0x06,
		"C":  0x06,
		"d":  0x07,
		"D":  0x07,
		"e":  0x08,
		"E":  0x08,
		"f":  0x09,
		"F":  0x09,
		"g":  0x0A,
		"G":  0x0A,
		"h":  0x0B,
		"H":  0x0B,
		"i":  0x0C,
		"I":  0x0C,
		"j":  0x0D,
		"J":  0x0D,
		"k":  0x0E,
		"K":  0x0E,
		"l":  0x0F,
		"L":  0x0F,
		"m":  0x10,
		"M":  0x10,
		"n":  0x11,
		"N":  0x11,
		"o":  0x12,
		"O":  0x12,
		"p":  0x13,
		"P":  0x13,
		"q":  0x14,
		"Q":  0x14,
		"r":  0x15,
		"R":  0x15,
		"s":  0x16,
		"S":  0x16,
		"t":  0x17,
		"T":  0x17,
		"u":  0x18,
		"U":  0x18,
		"v":  0x19,
		"V":  0x19,
		"w":  0x1A,
		"W":  0x1A,
		"x":  0x1B,
		"X":  0x1B,
		"y":  0x1C,
		"Y":  0x1C,
		"z":  0x1D,
		"Z":  0x1D,
		"!":  0x1E,
		"1":  0x1E,
		"2":  0x1F,
		"@":  0x1F,
		"#":  0x20,
		"3":  0x20,
		"$":  0x21,
		"4":  0x21,
		"%":  0x22,
		"5":  0x22,
		"6":  0x23,
		"^":  0x23,
		"&":  0x24,
		"7":  0x24,
		"*":  0x25,
		"8":  0x25,
		"(":  0x26,
		"9":  0x26,
		")":  0x27,
		"0":  0x27,
		"\n": 0x28,
		"⎋":  0x29, // esc
		"␛":  0x29, // esc
		"⌫":  0x2A, // backspace
		"\t": 0x2B,
		" ":  0x2C,
		"-":  0x2D,
		"_":  0x2D,
		"+":  0x2E,
		"=":  0x2E,
		"[":  0x2F,
		"{":  0x2F,
		"]":  0x30,
		"}":  0x30,
		"\\": 0x31,
		"|":  0x31,
		":":  0x33,
		";":  0x33,
		"'":  0x34,
		"\"": 0x34,
		"`":  0x35,
		"~":  0x35,
		",":  0x36,
		"<":  0x36,
		".":  0x37,
		">":  0x37,
		"/":  0x38,
		"?":  0x38,
		"⇪":  0x39,
		"⎙":  0x46,
		"⏸️": 0x48,
		"⎀":  0x49,
		"↖":  0x4A,
		"⇞":  0x4B,
		"⌦":  0x4C,
		"↘":  0x4D,
		"⇟":  0x4E,
		"→":  0x4F,
		"←":  0x50,
		"↑":  0x51,
		"↓":  0x52,
	}
)
